Subject: Re: bug#21862: Acknowledgement (24.5; Commit 35cd5181450 breaks nsterm.m on Mac OS X 10.6)

From: Anders Lindgren <[email-masked]>
Date: Wed, 11 Nov 2015 07:56:16 +0100

>
> I don’t think you should unconditionally declare this one:
>
> +- (void)windowDidEnterFullScreen:(NSNotification *)notification;
>

> Only declare it for the 10.6 build, please.
>

Ah, yes, that seems correct. It is provided from 10.7 onwards.

Alternatively, we can implement a non-notification variant of
windowDidBecomeKey (it doesn't use the notification anyway), that way we
can move the code from windowDidEnterFullScreen from the notification
variant to the non-notification variant, and avoid a lot of the
notification complexity.

    -- Anders